Bug 1104961 - stricter checking for bind()'s with empty passwords
stricter checking for bind()'s with empty passwords
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-horde-Horde-Ldap (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1104962 CVE-2014-3999
  Show dependency treegraph
 
Reported: 2014-06-05 02:24 EDT by Murray McAllister
Modified: 2015-01-04 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version: php-horde-Horde-Ldap-2.0.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1104962 (view as bug list)
Environment:
Last Closed: 2014-06-13 01:29:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-06-05 02:24:29 EDT
Description of problem:
It was reported[1] that php-horde-Horde-Ldap could be used to connect to an LDAP server with an empty password. In this case, the flaw is in the LDAP server, so this issue is just considered hardening[2].

https://github.com/horde/horde/commit/8f719b53b0ee2d4b8a40a770430683c98fb5f2fd
https://github.com/horde/horde/commit/4c3e18f1724ab39bfef10c189a5b52036a744d55

It was reported that the issue is resolved in version 2.0.6, which is already in Fedora 20 testing.

[1] http://www.openwall.com/lists/oss-security/2014/06/04/22
[2] http://www.openwall.com/lists/oss-security/2014/06/05/12
Comment 1 Remi Collet 2014-06-05 03:27:47 EDT
I think this bug is related to "Fixed issue with null bytes in LDAP bindings." fixed in php 5.4.28 / 5.5.12.

I don't plan to update Horde_Ldap in F19 (horde stack is only usable in F20+)
Comment 2 Fedora Update System 2014-06-05 04:33:46 EDT
php-horde-Horde-Ldap-2.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-horde-Horde-Ldap-2.0.6-1.fc19
Comment 3 Fedora Update System 2014-06-05 04:33:56 EDT
php-horde-Horde-Ldap-2.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-7080/php-horde-Horde-Ldap-2.0.6-1.fc20
Comment 4 Fedora Update System 2014-06-09 23:13:41 EDT
Package php-horde-Horde-Ldap-2.0.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-horde-Horde-Ldap-2.0.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7228/php-horde-Horde-Ldap-2.0.6-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-06-13 01:29:24 EDT
php-horde-Horde-Ldap-2.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-06-17 19:38:02 EDT
php-horde-Horde-Ldap-2.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.